Index: /trunk/devel/prepare
===================================================================
--- /trunk/devel/prepare	(revision 988)
+++ /trunk/devel/prepare	(revision 988)
@@ -0,0 +1,105 @@
+#! /bin/bash
+SELF="$0"
+
+if test -e prepare.inc ; then
+	. prepare.inc
+else
+	echo prepare.inc is required, see prepare.inc.example >&2
+	exit
+fi
+
+CTAGS=`which ctags 2>/dev/null || which exuberant-ctags 2>/dev/null `
+AWK=`which gawk 2>/dev/null || which awk 2>/dev/null `
+
+make_all() {
+	make_xc_opcode_spec_def.h
+	make_xc_const_string
+	test -e tags && echo tags exists, skipping. use \""$0" tags\" to rebuild || make_tags
+}
+
+make_clean() {
+ 	make_clean_xc_const_string
+	echo "*" rm -f tags xc_opcode_spec_def.h
+	rm -f tags xc_opcode_spec_def.h
+}
+
+make_xc_const_string() {
+	make_xc_const_string_opcodes_php4.x.h
+	make_xc_const_string_opcodes_php5.0.h
+	make_xc_const_string_opcodes_php5.1.h
+	make_xc_const_string_opcodes_php5.4.h
+	make_xc_const_string_opcodes_php6.x.h
+}
+
+make_clean_xc_const_string() {
+	echo "*" rm -f main/xc_const_string_opcodes_php*.h{,.tmp}
+	rm -f main/xc_const_string_opcodes_php*.h
+}
+
+make_xc_const_string_opcodes_php4.x.h() {
+	precheck main/xc_const_string_opcodes_php4.x.h "${PHP4_x_DIR}/Zend/zend_compile.h" && "$AWK" -f ./devel/gen_const_string_opcodes.awk < "$I" > "$O.tmp" && mv "$O.tmp" "$O"
+}
+
+make_xc_const_string_opcodes_php5.0.h() {
+	precheck main/xc_const_string_opcodes_php5.0.h "${PHP5_0_DIR}/Zend/zend_compile.h" && "$AWK" -f ./devel/gen_const_string_opcodes.awk < "$I" > "$O.tmp" && mv "$O.tmp" "$O"
+}
+
+make_xc_const_string_opcodes_php5.1.h() {
+	precheck main/xc_const_string_opcodes_php5.1.h "${PHP5_1_DIR}/Zend/zend_vm_def.h"  && "$AWK" -f ./devel/gen_const_string_opcodes.awk < "$I" > "$O.tmp" && mv "$O.tmp" "$O"
+}
+
+make_xc_const_string_opcodes_php5.4.h() {
+	precheck main/xc_const_string_opcodes_php5.4.h "${PHP5_4_DIR}/Zend/zend_vm_def.h"  && "$AWK" -f ./devel/gen_const_string_opcodes.awk < "$I" > "$O.tmp" && mv "$O.tmp" "$O"
+}
+
+make_xc_const_string_opcodes_php6.x.h() {
+	precheck main/xc_const_string_opcodes_php6.x.h "${PHP6_x_DIR}/Zend/zend_vm_def.h"  && "$AWK" -f ./devel/gen_const_string_opcodes.awk < "$I" > "$O.tmp" && mv "$O.tmp" "$O"
+}
+
+make_xc_opcode_spec_def.h() {
+	precheck main/xc_opcode_spec_def.h "${EA_DIR}/opcodes.c" && "$AWK" -f ./devel/gen_xc_opcode_spec.awk < "$I" > "$O"
+}
+
+make_tags() {
+	if test -z "$CTAGS" ; then
+		echo tool ctags not found, skip building tags >&2
+		return
+	fi
+
+	if test -d "${PHP_DEVEL_DIR}" ; then
+		echo "* Making tags with ${PHP_DEVEL_DIR}"
+		"$CTAGS" -R . "${PHP_DEVEL_DIR}/main" "${PHP_DEVEL_DIR}/Zend" "${PHP_DEVEL_DIR}/TSRM" "${PHP_DEVEL_DIR}/ext/standard"
+	else
+		echo "* Making tags without php source files"
+		"$CTAGS" -R .
+	fi
+}
+
+error() {
+	echo "$@" >&2
+}
+
+precheck() {
+	if test -e "$2" ; then :; else
+		error X skipping "$1" because "$2" not found
+		return 1
+	fi
+	if test "$1" -ot "$2" ; then :; else
+		echo O "$1" is up to date.
+		return 1
+	fi
+	O="$1"
+	I="$2"
+	echo "* Making $1 from $2"
+	return 0
+}
+
+if test -z "$1" ; then
+	make_all
+else
+	while ! test -z "$1" ; do
+		eval "make_$1"
+		shift
+	done
+fi
+
Index: unk/devel/prepare.devel
===================================================================
--- /trunk/devel/prepare.devel	(revision 987)
+++ 	(revision )
@@ -1,105 +1,0 @@
-#! /bin/bash
-SELF="$0"
-
-if test -e prepare.devel.inc ; then
-	. prepare.devel.inc
-else
-	echo prepare.devel.inc is required, see prepare.devel.inc.example >&2
-	exit
-fi
-
-CTAGS=`which ctags 2>/dev/null || which exuberant-ctags 2>/dev/null `
-AWK=`which gawk 2>/dev/null || which awk 2>/dev/null `
-
-make_all() {
-	make_xc_opcode_spec_def.h
-	make_xc_const_string
-	test -e tags && echo tags exists, skipping. use \""$0" tags\" to rebuild || make_tags
-}
-
-make_clean() {
- 	make_clean_xc_const_string
-	echo "*" rm -f tags xc_opcode_spec_def.h
-	rm -f tags xc_opcode_spec_def.h
-}
-
-make_xc_const_string() {
-	make_xc_const_string_opcodes_php4.x.h
-	make_xc_const_string_opcodes_php5.0.h
-	make_xc_const_string_opcodes_php5.1.h
-	make_xc_const_string_opcodes_php5.4.h
-	make_xc_const_string_opcodes_php6.x.h
-}
-
-make_clean_xc_const_string() {
-	echo "*" rm -f main/xc_const_string_opcodes_php*.h{,.tmp}
-	rm -f main/xc_const_string_opcodes_php*.h
-}
-
-make_xc_const_string_opcodes_php4.x.h() {
-	precheck main/xc_const_string_opcodes_php4.x.h "${PHP4_x_DIR}/Zend/zend_compile.h" && "$AWK" -f ./devel/gen_const_string_opcodes.awk < "$I" > "$O.tmp" && mv "$O.tmp" "$O"
-}
-
-make_xc_const_string_opcodes_php5.0.h() {
-	precheck main/xc_const_string_opcodes_php5.0.h "${PHP5_0_DIR}/Zend/zend_compile.h" && "$AWK" -f ./devel/gen_const_string_opcodes.awk < "$I" > "$O.tmp" && mv "$O.tmp" "$O"
-}
-
-make_xc_const_string_opcodes_php5.1.h() {
-	precheck main/xc_const_string_opcodes_php5.1.h "${PHP5_1_DIR}/Zend/zend_vm_def.h"  && "$AWK" -f ./devel/gen_const_string_opcodes.awk < "$I" > "$O.tmp" && mv "$O.tmp" "$O"
-}
-
-make_xc_const_string_opcodes_php5.4.h() {
-	precheck main/xc_const_string_opcodes_php5.4.h "${PHP5_4_DIR}/Zend/zend_vm_def.h"  && "$AWK" -f ./devel/gen_const_string_opcodes.awk < "$I" > "$O.tmp" && mv "$O.tmp" "$O"
-}
-
-make_xc_const_string_opcodes_php6.x.h() {
-	precheck main/xc_const_string_opcodes_php6.x.h "${PHP6_x_DIR}/Zend/zend_vm_def.h"  && "$AWK" -f ./devel/gen_const_string_opcodes.awk < "$I" > "$O.tmp" && mv "$O.tmp" "$O"
-}
-
-make_xc_opcode_spec_def.h() {
-	precheck main/xc_opcode_spec_def.h "${EA_DIR}/opcodes.c" && "$AWK" -f ./devel/gen_xc_opcode_spec.awk < "$I" > "$O"
-}
-
-make_tags() {
-	if test -z "$CTAGS" ; then
-		echo tool ctags not found, skip building tags >&2
-		return
-	fi
-
-	if test -d "${PHP_DEVEL_DIR}" ; then
-		echo "* Making tags with ${PHP_DEVEL_DIR}"
-		"$CTAGS" -R . "${PHP_DEVEL_DIR}/main" "${PHP_DEVEL_DIR}/Zend" "${PHP_DEVEL_DIR}/TSRM" "${PHP_DEVEL_DIR}/ext/standard"
-	else
-		echo "* Making tags without php source files"
-		"$CTAGS" -R .
-	fi
-}
-
-error() {
-	echo "$@" >&2
-}
-
-precheck() {
-	if test -e "$2" ; then :; else
-		error X skipping "$1" because "$2" not found
-		return 1
-	fi
-	if test "$1" -ot "$2" ; then :; else
-		echo O "$1" is up to date.
-		return 1
-	fi
-	O="$1"
-	I="$2"
-	echo "* Making $1 from $2"
-	return 0
-}
-
-if test -z "$1" ; then
-	make_all
-else
-	while ! test -z "$1" ; do
-		eval "make_$1"
-		shift
-	done
-fi
-
Index: unk/devel/prepare.devel.inc.example
===================================================================
--- /trunk/devel/prepare.devel.inc.example	(revision 987)
+++ 	(revision )
@@ -1,11 +1,0 @@
-# copy this file as ../devel.prepare.inc before modifying
-PHP4_x_DIR=
-PHP5_0_DIR=
-PHP5_1_DIR=
-PHP5_3_DIR=
-PHP6_x_DIR=
-
-PHP_DEVEL_DIR=
-
-# path to eaccelerator source dir
-EA_DIR=
Index: /trunk/devel/prepare.inc.example
===================================================================
--- /trunk/devel/prepare.inc.example	(revision 988)
+++ /trunk/devel/prepare.inc.example	(revision 988)
@@ -0,0 +1,11 @@
+# copy this file as ../devel.prepare.inc before modifying
+PHP4_x_DIR=
+PHP5_0_DIR=
+PHP5_1_DIR=
+PHP5_3_DIR=
+PHP6_x_DIR=
+
+PHP_DEVEL_DIR=
+
+# path to eaccelerator source dir
+EA_DIR=
Index: /trunk/devel/run
===================================================================
--- /trunk/devel/run	(revision 987)
+++ /trunk/devel/run	(revision 988)
@@ -1,4 +1,13 @@
 #!/bin/bash
 # this script is for developers only
+
+case "$1" in
+prep*)
+	exec ./devel/prepare
+	;;
+tags)
+	exec ./devel/prepare tags
+	;;
+esac
 
 . run.cfg
@@ -40,11 +49,5 @@
 fi
 
-case $type in
-prep*)
-	exec ./devel/prepare.devel
-	;;
-tags)
-	exec ./devel/prepare.devel tags
-	;;
+case "$type" in
 reb*)
 	PHPDIRS=${PHPDIRS:-$HOME/test}
@@ -57,5 +60,5 @@
 	&& phpize \
 	&& CFLAGS="-Wall -Wno-unused -W -Wshadow -std=gnu99" ./configure --enable-xcache-disassembler --enable-xcache-test --enable-xcache-constant \
-	&& make
+	&& make clean all
 	exit
 	;;
